NisusWrtGraphInternal::State Struct Reference

Internal: the state of a NisusWrtGraph. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_numPages
int | m_maxPageGraphic
| the last page containing page graphic
std::map< int, MWAWEntry > | m_idPictMap
| the map pictId -> pictEntry
std::map< int, MWAWEntry > | m_idRssoMap
| the map id -> rssoEntry

## Detailed Description

Internal: the state of a NisusWrtGraph.

## Constructor & Destructor Documentation

## State()

NisusWrtGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idPictMap

std::map<int, MWAWEntry> NisusWrtGraphInternal::State::m_idPictMap

the map pictId -> pictEntry

Referenced by State().

## m_idRssoMap

std::map<int, MWAWEntry> NisusWrtGraphInternal::State::m_idRssoMap

the map id -> rssoEntry

Referenced by State().

## m_maxPageGraphic

int NisusWrtGraphInternal::State::m_maxPageGraphic

the last page containing page graphic

Referenced by State().

## m_numPages

int NisusWrtGraphInternal::State::m_numPages

Referenced by State().

The documentation for this struct was generated from the following file:

- NisusWrtGraph.cxx